QGIS Application - Bug report #3078
Scotese's shapefiles causes Tethys to crash
2010-10-03 06:06 PM - asierra -

Status: Closed

Priority: Low

Assignee: Jurgen Fischer

Category: Vectors

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupts data: Copied to github as #: 13138
Description

Qgis 1.5.0 crashes everytime | try to load a shapefile from the Earth System History GIS collection from C. R. Scotese (
http://www.scotese.com/ ). The same files loaded fine with previous versions of Qgis. If necessary | can send sample shape files to

developers. Below is a report from console:

Process: Qgis r7247

Path: /Applications/Qgis.app/Contents/MacOS/Qgis
Identifier: org.qgis.qgis

Version: 1.5.0 (1.5.0-Tethys)

Code Type: X86-64 (Native)

Parent Process: launchd r179

Date/Time: 2010-10-02 11:55:50.975 -0500
OS Version: Mac OS X 10.6.4 (10F569)
Report Version: 6

Interval Since Last Report: 5359794 sec

Crashes Since Last Report: 33

Per-App Interval Since Last Report: 33988 sec

Per-App Crashes Since Last Report: 3

Anonymous UUID: 8E6277AC-C630-44E0-BFB0-88A9D2DABS8F3

Exception Type: EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000048
Crashed Thread: 0 Dispatch queue: com.apple.main-thread

10/2/10 11:57:16 AM [0x0-0x201201].0org.qgis.qgisr7264 Python support ENABLED :-)

10/2/10 11:57:16 AM [0x0-0x201201].0rg.qgis.qgisr7264 Loaded : fTools (package: fTools)

10/2/10 11:57:16 AM [0x0-0x201201].0rg.qgis.qgisr7264 Loaded : [[GdalTools]] (package: [[GdalTools]])

10/2/10 11:57:16 AM [0x0-0x201201].0rg.qgis.qgisr7264 Loaded : [[MapServer]] Export (package: mapserver_export)
10/2/10 11:57:16 AM [0x0-0x201201].0rg.qgis.qgisr7264
/Applications/Qgis.app/Contents/MacOS/../Resources/python/osgeo/gdal.py:80: [[DeprecationWarning]]: gdalconst.py was placed
in a namespace, it is now available as osgeo.gdalconst

10/2/10 11:57:16 AM [0x0-0x201201].0org.qgis.qgisr7264 [[DeprecationWarning]])

10/2/10 11:57:16 AM [0x0-0x201201].0org.qgis.qgisr7264 Loaded : Plugin Installer (package: plugin_installer)

10/2/10 11:57:16 AM [0x0-0x201201].0rg.qgis.qgisr7264 Loaded : 1-Band Raster Colour Table (package: bcccoltbl)
10/2/10 11:57:16 AM [0x0-0x201201].0rg.qgis.qgisr7264 Loaded : Colour Scale Bar (package: bccscbar)

10/2/10 11:57:16 AM [0x0-0x201201].0rg.qgis.qgisr7264 Loaded : Shapefile Viewer (package: bccSHPV)

10/2/10 11:57:16 AM [0x0-0x201201].org.qgis.qgisr7264 Loaded : Freehand editing (package: freehandEditing)
10/2/10 11:57:16 AM [0x0-0x201201].0rg.qgis.qgisr7264 Loaded : Geoprocessing (package: geoprocessing)
10/2/10 11:57:16 AM [0x0-0x201201].0rg.qgis.qgisr7264 Loaded : Improved Polygon Capturing (package:
improvedpolygoncapturing)

10/2/10 11:57:16 AM [0x0-0x201201].0org.qgis.qgisr7264 Loaded : Numerical Vertex Edit (package: numericalVertexEdit)
10/2/10 11:57:16 AM [0x0-0x201201].0org.qgis.qgisr7264 Loaded : Profile (package: profiletool)

10/2/10 11:57:16 AM [0x0-0x201201].0rg.qgis.qgisr7264 Loaded : qgsAffine (package: ggsAffine)

10/2/10 11:57:16 AM [0x0-0x201201].0org.qgis.qgisr7264 Loaded : Rectangles (package: rectangles)

10/2/10 11:57:16 AM [0x0-0x201201].0rg.qgis.qgisr7264 Loaded : RGB Composition Plugin (package: rgb)

10/2/10 11:57:16 AM [0x0-0x201201].0rg.qgis.qgisr7264 Loaded : DEM relief shader (package: shadedrelief)

10/2/10 11:57:16 AM [0x0-0x201201].0rg.qgis.qgisr7264 Loaded : Split Feature (package: splitfeature)

10/2/10 11:57:16 AM [0x0-0x201201].0org.qgis.qgisr7264 Loaded : Table Manager (package: tablemanager)

10/2/10 11:57:16 AM [0x0-0x201201].0rg.qgis.qgisr7264 Loaded : [[TopoColour]] (package: topocolour)

10/2/10 11:57:16 AM [0x0-0x201201].0org.qgis.qgisr7264 Loaded : Value Tool (package: valuetool)

10/2/10 11:57:17 AM com.apple.launchd.peruser.501r179 ([0x0-0x201201].org.qgis.qgisr7264) Job appears to have crashed:
Segmentation fault

History

#1 - 2010-10-04 12:00 AM - Giovanni Manghi

please attach sample data

#2 - 2010-10-17 02:48 AM - Giovanni Manghi

it is confirmed, the shapefile is pretty "dirty", you can confirm by importing it in GRASS and you'll see a lot of slivers and ovrlapped polygons. Nevertheless
QGIS should not crash.

Message is

ERROR 1: Corrupted .shp file : shape 182 : panPartStartr2 = 114, nVertices = 114

Segmentation fault

#3 - 2011-03-02 06:48 AM - Paolo Cavallini

Is this still true for qgis 1.6? Which GEOS version?

#4 - 2011-03-03 05:20 AM - Anne Ghisla

It is true for QGIS trunk, commit:44441dec (SVN r15305). QGIS crashes with the error signaled by lutra.

#5 - 2011-04-16 12:04 PM - Jiirgen Fischer
- Resolution set to duplicate
- Status changed from Open to Closed

most likely a duplicate of #2837 (upstream bug already fixed in GDAL 1.7.3)

2025-04-27 2/3




Files

sample.zip 161 KB 2010-10-04 asierra -
